Bug 1758645 - Virtual H/W version for VMware 6.7 are missing
Summary: Virtual H/W version for VMware 6.7 are missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.5.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: 6.7.0
Assignee: Ondřej Ezr
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-04 17:21 UTC by roarora
Modified: 2020-04-14 13:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
You cannot provision a VMWare virtual machine with the ESXi 6.7 U2 hardware version from Satellite.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
Hardware versions vmware (21.53 KB, image/png)
2020-01-20 13:32 UTC, Sanket Jagtap
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26849 Normal Closed Update VMware Hardware version compatible with 6.7 and above 2020-09-23 16:51:07 UTC
Github theforeman foreman pull 6788 None closed Fixes #26849 - update VMware vSphere 6.7 Hardware versions 2020-09-23 16:51:07 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:11 UTC

Description roarora 2019-10-04 17:21:09 UTC
Description of problem:

While creating  a VM or in compute profile, Virtual H/W version options for VMware 6.7 are missing ,

Available list is 
13 (ESXi 6.5)
11 (ESXi 6.0)
10 (ESXi 5.5)
9 (ESXi 5.1)
8 (ESXi 5.0)
7 (ESX/ESXi 4.x)
4 (ESX/ESXi 3.5)

VMware 6.7 options are added in upstream in following commit but are missing in satellite
https://github.com/theforeman/foreman/commit/fc3d76eff6


Version-Release number of selected component (if applicable):
6.5

How reproducible:
Always

Expected results:
VMware 6.7 options should be listed

Comment 3 Ondřej Ezr 2019-10-04 17:55:19 UTC
This is resolved in upstream already, linking the GitHub PR and upstream issue.

Comment 6 Sanket Jagtap 2020-01-20 13:30:44 UTC
Build: Satellite 6.7 Snap9 


The Virtual H/W version field is present and has correct options. PFA

Comment 7 Sanket Jagtap 2020-01-20 13:32:00 UTC
Created attachment 1653956 [details]
Hardware versions vmware

Comment 11 errata-xmlrpc 2020-04-14 13:26:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.